import { UploadFile } from 'ant-design-vue';
import { FileModel } from '@oinone/kunlun-vue-ui-common';
import { FormWidget } from '../../form';
export declare abstract class TranslateUploadBaseWidget extends FormWidget {
    initialize(props: any): this;
    protected uploadIcon: string;
    protected uploadTitle: string;
    protected uploadDesc: string;
    protected uploadFile: UploadFile | undefined;
    get workbookId(): unknown;
    protected templateUrl: string | undefined;
    protected getImportTemplateUrl(workbookId: any): Promise<void>;
    protected abstract handleUpload(file: FileModel): Promise<unknown>;
}
